﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr193_1
{
    // Структура: 
    struct MyStruct {
        // Ссылка на символьный массив: 
        public char[] symbs;
        // Метод для отображения содержимого массива: 
        public void show() {
            for(int k = 0; k < symbs.Length; k++) { 
                Console.Write("|" + symbs[k]);
            }
            Console.WriteLine("|");
        }
    }

    // Класс с главным методом: 
    class Program
    {
        // Главный метод:
        static void Main()
        {
            // Создание экземпляров структуры:
            MyStruct A, B;
            // Полю присваивается ссылка на массив 
            A.symbs = new char[7];
            // Заполнение массива: 
            for(int k = 0; k < A.symbs.Length; k++) { 
                A.symbs[k] = (char)('A' + k);
            }
            Console.WriteLine("Экземпляр A:");
            // Содержимое массива:
            A.show();
            // Присваивание экземпляров структуры:
            B = A;
            Console.WriteLine("Экземпляр B:");
            // Содержимое массива:
            B.show();
            // Присваивание значений элементам массива:
            A.symbs[0] = 'X';
            B.symbs[B.symbs.Length - 1] = 'Y'; 
            Console.WriteLine("Экземпляр A:");
            // Содержимое массива:
            A.show();
            Console.WriteLine("Экземпляр B:");
            // Содержимое массива:
            B.show();
            // Задержка:
            Console.ReadLine();
        }
    }
}
